# BasicFunctorBase Struct Reference

`#include <BasicFunctor.h>`

Inheritance diagram for BasicFunctorBase:

[legend]
List of all members.

## Public Member Functions

virtual void | operator() ()=0

## Member Function Documentation

virtual void BasicFunctorBase::operator() | ( |  | ) | `[pure virtual]`

| Implemented in BasicFunctor< T >.

The documentation for this struct was generated from the following file:

- BasicFunctor.h